From d1413040aed617ec8653942cd925d909746f0ee3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:07 +0000
Subject: [PATCH 363/2232] Remove absolute paths in non-generated code


---

diff --git a/demo-cxx/demo.cc b/demo-cxx/demo.cc
index 4940834..efa1d1e 100644
--- a/demo-cxx/demo.cc
+++ b/demo-cxx/demo.cc
@@ -24,7 +24,7 @@ std::unique_ptr<std::vector<uint8_t>> do_thing(SharedThing state) {
   return vec;
 }
 
-JsonBlob get_jb(const ::rust::Vec<uint8_t> &vec) {
+JsonBlob get_jb(const rust::Vec<uint8_t> &vec) {
   JsonBlob retval;
 
   std::cout << "incoming vec length is " << vec.size() << "\n";
diff --git a/demo-cxx/demo.h b/demo-cxx/demo.h
index 2c9f1c0..9a90716 100644
--- a/demo-cxx/demo.h
+++ b/demo-cxx/demo.h
@@ -20,7 +20,7 @@ struct JsonBlob;
 std::unique_ptr<ThingC> make_demo(rust::Str appname);
 const std::string &get_name(const ThingC &thing);
 std::unique_ptr<std::vector<uint8_t>> do_thing(SharedThing state);
-JsonBlob get_jb(const ::rust::Vec<uint8_t> &vec);
+JsonBlob get_jb(const rust::Vec<uint8_t> &vec);
 
 } // namespace example
 } // namespace org
diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index a8d7018..1dd3b73 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -163,7 +163,7 @@ void c_take_unique_ptr_vector_shared(std::unique_ptr<std::vector<Shared>> v) {
   }
 }
 
-void c_take_vec_u8(const ::rust::Vec<uint8_t> &v) {
+void c_take_vec_u8(const rust::Vec<uint8_t> &v) {
   auto cv = static_cast<std::vector<uint8_t>>(v);
   uint8_t sum = std::accumulate(cv.begin(), cv.end(), 0);
   if (sum == 200) {
@@ -171,7 +171,7 @@ void c_take_vec_u8(const ::rust::Vec<uint8_t> &v) {
   }
 }
 
-void c_take_vec_shared(const ::rust::Vec<Shared> &v) {
+void c_take_vec_shared(const rust::Vec<Shared> &v) {
   auto cv = static_cast<std::vector<Shared>>(v);
   uint32_t sum = 0;
   for (auto i : cv) {
diff --git a/tests/ffi/tests.h b/tests/ffi/tests.h
index 876e3c5..e1e163d 100644
--- a/tests/ffi/tests.h
+++ b/tests/ffi/tests.h
@@ -46,8 +46,8 @@ void c_take_unique_ptr_string(std::unique_ptr<std::string> s);
 void c_take_unique_ptr_vector_u8(std::unique_ptr<std::vector<uint8_t>> v);
 void c_take_unique_ptr_vector_f64(std::unique_ptr<std::vector<double>> v);
 void c_take_unique_ptr_vector_shared(std::unique_ptr<std::vector<Shared>> v);
-void c_take_vec_u8(const ::rust::Vec<uint8_t> &v);
-void c_take_vec_shared(const ::rust::Vec<Shared> &v);
+void c_take_vec_u8(const rust::Vec<uint8_t> &v);
+void c_take_vec_shared(const rust::Vec<Shared> &v);
 void c_take_callback(rust::Fn<size_t(rust::String)> callback);
 
 void c_try_return_void();

